---
Tournament:
  name: McHenry County College Regional Tournament
  short name: McHenry County College Regional
  location: McHenry County College
  state: IL
  level: Regionals
  division: C
  year: 2025
  medals: 5
  trophies: 2
  bids: 3
  start date: 2025-03-08
  end date: 2025-03-08
  awards date: 2025-03-08
Events:
- name: Air Trajectory
- name: Anatomy and Physiology
- name: Astronomy
- name: Bungee Drop
- name: Chemistry Lab
- name: Codebusters
- name: Disease Detectives
- name: Dynamic Planet
- name: Ecology
- name: Electric Vehicle
- name: Entomology
- name: Experimental Design
- name: Forensics
- name: Fossils
- name: Geologic Mapping
- name: Helicopter
- name: Materials Science
- name: Microbe Mission
- name: Optics
- name: Robot Tour
- name: Tower
- name: Wind Power
- name: Write It Do It
Tracks:
- name: Varsity
  medals: 5
  trophies: 3
- name: JV
  medals: 3
  trophies: 3
Teams:
- number: 11
  school: Lake Forest High School
  state: IL
  track: Varsity
- number: 12
  school: Cary Grove High School
  suffix: Varsity
  state: IL
  track: Varsity
- number: 13
  school: Vernon Hills High School
  suffix: Varsity
  state: IL
  track: Varsity
- number: 14
  school: Crystal Lake Central High School
  suffix: Varsity
  state: IL
  track: Varsity
- number: 15
  school: Dundee-Crown High School
  suffix: Varsity
  state: IL
  track: Varsity
- number: 16
  school: St. Charles North High School
  suffix: Varsity
  state: IL
  track: Varsity
- number: 17
  school: Prairie Ridge High School
  state: IL
  track: Varsity
- number: 18
  school: Harry D Jacobs High School
  state: IL
  track: Varsity
- number: 22
  school: Cary Grove High School
  suffix: JV
  state: IL
  track: JV
- number: 23
  school: Vernon Hills High School
  suffix: JV
  state: IL
  track: JV
- number: 24
  school: Crystal Lake Central High School
  suffix: JV1
  state: IL
  track: JV
- number: 25
  school: Dundee-Crown High School
  suffix: JV
  state: IL
  track: JV
- number: 26
  school: St. Charles North High School
  suffix: JV
  state: IL
  track: JV
- number: 28
  school: Crystal Lake Central High School
  suffix: JV2
  state: IL
  track: JV
Placings:
- team: 11
  event: Air Trajectory
  participated: false
- team: 11
  event: Anatomy and Physiology
  place: 8
- team: 11
  event: Astronomy
  place: 12
- team: 11
  event: Bungee Drop
  participated: false
- team: 11
  event: Chemistry Lab
  place: 4
- team: 11
  event: Codebusters
  participated: false
- team: 11
  event: Disease Detectives
  place: 11
- team: 11
  event: Dynamic Planet
  place: 11
- team: 11
  event: Ecology
  place: 7
- team: 11
  event: Electric Vehicle
  participated: false
- team: 11
  event: Entomology
  place: 10
- team: 11
  event: Experimental Design
  place: 9
- team: 11
  event: Forensics
  place: 12
- team: 11
  event: Fossils
  participated: false
- team: 11
  event: Geologic Mapping
  place: 13
- team: 11
  event: Helicopter
  participated: false
- team: 11
  event: Materials Science
  place: 10
- team: 11
  event: Microbe Mission
  place: 11
- team: 11
  event: Optics
  place: 11
- team: 11
  event: Robot Tour
  participated: false
- team: 11
  event: Tower
  place: 11
- team: 11
  event: Wind Power
  participated: false
- team: 11
  event: Write It Do It
  participated: false
- team: 12
  event: Air Trajectory
  place: 8
- team: 12
  event: Anatomy and Physiology
  place: 9
- team: 12
  event: Astronomy
  place: 9
- team: 12
  event: Bungee Drop
  place: 6
- team: 12
  event: Chemistry Lab
  place: 6
- team: 12
  event: Codebusters
  place: 9
- team: 12
  event: Disease Detectives
  place: 3
- team: 12
  event: Dynamic Planet
  place: 1
- team: 12
  event: Ecology
  place: 2
- team: 12
  event: Electric Vehicle
  place: 5
- team: 12
  event: Entomology
  place: 2
- team: 12
  event: Experimental Design
  place: 5
- team: 12
  event: Forensics
  place: 2
- team: 12
  event: Fossils
  place: 1
- team: 12
  event: Geologic Mapping
  place: 8
- team: 12
  event: Helicopter
  place: 6
- team: 12
  event: Materials Science
  place: 4
- team: 12
  event: Microbe Mission
  place: 7
- team: 12
  event: Optics
  place: 7
- team: 12
  event: Robot Tour
  place: 3
- team: 12
  event: Tower
  place: 8
- team: 12
  event: Wind Power
  place: 7
- team: 12
  event: Write It Do It
  place: 9
- team: 13
  event: Air Trajectory
  place: 3
- team: 13
  event: Anatomy and Physiology
  place: 1
- team: 13
  event: Astronomy
  place: 5
- team: 13
  event: Bungee Drop
  place: 1
- team: 13
  event: Chemistry Lab
  place: 3
- team: 13
  event: Codebusters
  place: 2
- team: 13
  event: Disease Detectives
  place: 1
- team: 13
  event: Dynamic Planet
  place: 5
- team: 13
  event: Ecology
  place: 3
- team: 13
  event: Electric Vehicle
  place: 2
- team: 13
  event: Entomology
  place: 6
- team: 13
  event: Experimental Design
  place: 2
- team: 13
  event: Forensics
  place: 5
- team: 13
  event: Fossils
  place: 8
- team: 13
  event: Geologic Mapping
  place: 3
- team: 13
  event: Helicopter
  place: 3
- team: 13
  event: Materials Science
  place: 5
- team: 13
  event: Microbe Mission
  place: 1
- team: 13
  event: Optics
  place: 1
- team: 13
  event: Robot Tour
  place: 1
- team: 13
  event: Tower
  place: 3
- team: 13
  event: Wind Power
  place: 2
- team: 13
  event: Write It Do It
  place: 11
- team: 14
  event: Air Trajectory
  place: 2
- team: 14
  event: Anatomy and Physiology
  place: 3
- team: 14
  event: Astronomy
  place: 6
- team: 14
  event: Bungee Drop
  place: 7
- team: 14
  event: Chemistry Lab
  place: 1
- team: 14
  event: Codebusters
  place: 5
- team: 14
  event: Disease Detectives
  place: 5
- team: 14
  event: Dynamic Planet
  place: 2
- team: 14
  event: Ecology
  place: 1
- team: 14
  event: Electric Vehicle
  place: 4
- team: 14
  event: Entomology
  place: 5
- team: 14
  event: Experimental Design
  place: 1
- team: 14
  event: Forensics
  place: 1
- team: 14
  event: Fossils
  place: 4
- team: 14
  event: Geologic Mapping
  place: 5
- team: 14
  event: Helicopter
  place: 2
- team: 14
  event: Materials Science
  place: 2
- team: 14
  event: Microbe Mission
  place: 3
- team: 14
  event: Optics
  place: 2
- team: 14
  event: Robot Tour
  place: 8
- team: 14
  event: Tower
  place: 5
- team: 14
  event: Wind Power
  place: 3
- team: 14
  event: Write It Do It
  place: 12
- team: 15
  event: Air Trajectory
  place: 5
- team: 15
  event: Anatomy and Physiology
  place: 13
- team: 15
  event: Astronomy
  place: 8
- team: 15
  event: Bungee Drop
  place: 3
- team: 15
  event: Chemistry Lab
  place: 10
- team: 15
  event: Codebusters
  place: 10
- team: 15
  event: Disease Detectives
  place: 8
- team: 15
  event: Dynamic Planet
  place: 3
- team: 15
  event: Ecology
  place: 12
- team: 15
  event: Electric Vehicle
  place: 6
- team: 15
  event: Entomology
  place: 8
- team: 15
  event: Experimental Design
  place: 7
- team: 15
  event: Forensics
  place: 6
- team: 15
  event: Fossils
  place: 2
- team: 15
  event: Geologic Mapping
  place: 1
- team: 15
  event: Helicopter
  place: 8
- team: 15
  event: Materials Science
  place: 8
- team: 15
  event: Microbe Mission
  place: 12
- team: 15
  event: Optics
  place: 3
- team: 15
  event: Robot Tour
  place: 6
- team: 15
  event: Tower
  place: 7
- team: 15
  event: Wind Power
  place: 8
- team: 15
  event: Write It Do It
  place: 4
- team: 16
  event: Air Trajectory
  place: 4
- team: 16
  event: Anatomy and Physiology
  place: 2
- team: 16
  event: Astronomy
  place: 4
- team: 16
  event: Bungee Drop
  place: 8
- team: 16
  event: Chemistry Lab
  place: 5
- team: 16
  event: Codebusters
  place: 3
- team: 16
  event: Disease Detectives
  place: 2
- team: 16
  event: Dynamic Planet
  place: 4
- team: 16
  event: Ecology
  place: 9
- team: 16
  event: Electric Vehicle
  place: 1
- team: 16
  event: Entomology
  place: 1
- team: 16
  event: Experimental Design
  place: 3
- team: 16
  event: Forensics
  place: 3
- team: 16
  event: Fossils
  place: 5
- team: 16
  event: Geologic Mapping
  place: 2
- team: 16
  event: Helicopter
  place: 4
- team: 16
  event: Materials Science
  place: 1
- team: 16
  event: Microbe Mission
  place: 2
- team: 16
  event: Optics
  place: 8
- team: 16
  event: Robot Tour
  place: 4
- team: 16
  event: Tower
  place: 6
- team: 16
  event: Wind Power
  place: 4
- team: 16
  event: Write It Do It
  place: 1
- team: 17
  event: Air Trajectory
  participated: false
- team: 17
  event: Anatomy and Physiology
  place: 4
- team: 17
  event: Astronomy
  place: 11
- team: 17
  event: Bungee Drop
  participated: false
- team: 17
  event: Chemistry Lab
  place: 2
- team: 17
  event: Codebusters
  place: 6
- team: 17
  event: Disease Detectives
  place: 6
- team: 17
  event: Dynamic Planet
  place: 10
- team: 17
  event: Ecology
  place: 11
- team: 17
  event: Electric Vehicle
  participated: false
- team: 17
  event: Entomology
  participated: false
- team: 17
  event: Experimental Design
  participated: false
- team: 17
  event: Forensics
  place: 4
- team: 17
  event: Fossils
  participated: false
- team: 17
  event: Geologic Mapping
  place: 12
- team: 17
  event: Helicopter
  participated: false
- team: 17
  event: Materials Science
  participated: false
- team: 17
  event: Microbe Mission
  place: 5
- team: 17
  event: Optics
  place: 4
- team: 17
  event: Robot Tour
  place: 7
- team: 17
  event: Tower
  place: 9
- team: 17
  event: Wind Power
  participated: false
- team: 17
  event: Write It Do It
  place: 10
- team: 18
  event: Air Trajectory
  participated: false
- team: 18
  event: Anatomy and Physiology
  place: 12
- team: 18
  event: Astronomy
  place: 10
- team: 18
  event: Bungee Drop
  place: 9
- team: 18
  event: Chemistry Lab
  place: 8
- team: 18
  event: Codebusters
  place: 11
- team: 18
  event: Disease Detectives
  place: 12
- team: 18
  event: Dynamic Planet
  place: 9
- team: 18
  event: Ecology
  place: 6
- team: 18
  event: Electric Vehicle
  participated: false
- team: 18
  event: Entomology
  place: 9
- team: 18
  event: Experimental Design
  place: 4
- team: 18
  event: Forensics
  place: 11
- team: 18
  event: Fossils
  place: 11
- team: 18
  event: Geologic Mapping
  place: 10
- team: 18
  event: Helicopter
  participated: false
- team: 18
  event: Materials Science
  place: 6
- team: 18
  event: Microbe Mission
  place: 10
- team: 18
  event: Optics
  place: 9
- team: 18
  event: Robot Tour
  participated: false
- team: 18
  event: Tower
  participated: false
- team: 18
  event: Wind Power
  place: 10
- team: 18
  event: Write It Do It
  place: 8
- team: 22
  event: Air Trajectory
  participated: false
- team: 22
  event: Anatomy and Physiology
  place: 11
- team: 22
  event: Astronomy
  participated: false
- team: 22
  event: Bungee Drop
  participated: false
- team: 22
  event: Chemistry Lab
  participated: false
- team: 22
  event: Codebusters
  place: 12
- team: 22
  event: Disease Detectives
  participated: false
- team: 22
  event: Dynamic Planet
  participated: false
- team: 22
  event: Ecology
  place: 5
- team: 22
  event: Electric Vehicle
  participated: false
- team: 22
  event: Entomology
  participated: false
- team: 22
  event: Experimental Design
  participated: false
- team: 22
  event: Forensics
  participated: false
- team: 22
  event: Fossils
  place: 7
- team: 22
  event: Geologic Mapping
  place: 11
- team: 22
  event: Helicopter
  participated: false
- team: 22
  event: Materials Science
  participated: false
- team: 22
  event: Microbe Mission
  participated: false
- team: 22
  event: Optics
  participated: false
- team: 22
  event: Robot Tour
  participated: false
- team: 22
  event: Tower
  place: 10
- team: 22
  event: Wind Power
  place: 9
- team: 22
  event: Write It Do It
  place: 2
- team: 23
  event: Air Trajectory
  place: 6
- team: 23
  event: Anatomy and Physiology
  place: 5
- team: 23
  event: Astronomy
  place: 1
- team: 23
  event: Bungee Drop
  place: 2
- team: 23
  event: Chemistry Lab
  place: 7
- team: 23
  event: Codebusters
  place: 4
- team: 23
  event: Disease Detectives
  place: 4
- team: 23
  event: Dynamic Planet
  place: 8
- team: 23
  event: Ecology
  place: 4
- team: 23
  event: Electric Vehicle
  place: 3
- team: 23
  event: Entomology
  place: 3
- team: 23
  event: Experimental Design
  place: 6
- team: 23
  event: Forensics
  place: 7
- team: 23
  event: Fossils
  place: 3
- team: 23
  event: Geologic Mapping
  place: 4
- team: 23
  event: Helicopter
  place: 1
- team: 23
  event: Materials Science
  place: 3
- team: 23
  event: Microbe Mission
  place: 4
- team: 23
  event: Optics
  place: 6
- team: 23
  event: Robot Tour
  place: 2
- team: 23
  event: Tower
  place: 4
- team: 23
  event: Wind Power
  place: 1
- team: 23
  event: Write It Do It
  place: 3
- team: 24
  event: Air Trajectory
  place: 1
- team: 24
  event: Anatomy and Physiology
  place: 10
- team: 24
  event: Astronomy
  place: 3
- team: 24
  event: Bungee Drop
  participated: false
- team: 24
  event: Chemistry Lab
  place: 11
- team: 24
  event: Codebusters
  place: 7
- team: 24
  event: Disease Detectives
  place: 9
- team: 24
  event: Dynamic Planet
  place: 7
- team: 24
  event: Ecology
  place: 13
- team: 24
  event: Electric Vehicle
  place: 8
- team: 24
  event: Entomology
  participated: false
- team: 24
  event: Experimental Design
  participated: false
- team: 24
  event: Forensics
  place: 10
- team: 24
  event: Fossils
  place: 9
- team: 24
  event: Geologic Mapping
  place: 6
- team: 24
  event: Helicopter
  place: 5
- team: 24
  event: Materials Science
  participated: false
- team: 24
  event: Microbe Mission
  place: 9
- team: 24
  event: Optics
  participated: false
- team: 24
  event: Robot Tour
  participated: false
- team: 24
  event: Tower
  place: 2
- team: 24
  event: Wind Power
  participated: false
- team: 24
  event: Write It Do It
  place: 5
- team: 25
  event: Air Trajectory
  participated: false
- team: 25
  event: Anatomy and Physiology
  participated: false
- team: 25
  event: Astronomy
  participated: false
- team: 25
  event: Bungee Drop
  participated: false
- team: 25
  event: Chemistry Lab
  participated: false
- team: 25
  event: Codebusters
  participated: false
- team: 25
  event: Disease Detectives
  participated: false
- team: 25
  event: Dynamic Planet
  participated: false
- team: 25
  event: Ecology
  participated: false
- team: 25
  event: Electric Vehicle
  participated: false
- team: 25
  event: Entomology
  participated: false
- team: 25
  event: Experimental Design
  participated: false
- team: 25
  event: Forensics
  participated: false
- team: 25
  event: Fossils
  participated: false
- team: 25
  event: Geologic Mapping
  participated: false
- team: 25
  event: Helicopter
  participated: false
- team: 25
  event: Materials Science
  participated: false
- team: 25
  event: Microbe Mission
  participated: false
- team: 25
  event: Optics
  participated: false
- team: 25
  event: Robot Tour
  participated: false
- team: 25
  event: Tower
  participated: false
- team: 25
  event: Wind Power
  participated: false
- team: 25
  event: Write It Do It
  participated: false
- team: 26
  event: Air Trajectory
  place: 7
- team: 26
  event: Anatomy and Physiology
  place: 6
- team: 26
  event: Astronomy
  place: 7
- team: 26
  event: Bungee Drop
  place: 5
- team: 26
  event: Chemistry Lab
  place: 9
- team: 26
  event: Codebusters
  place: 1
- team: 26
  event: Disease Detectives
  place: 7
- team: 26
  event: Dynamic Planet
  place: 6
- team: 26
  event: Ecology
  place: 10
- team: 26
  event: Electric Vehicle
  place: 7
- team: 26
  event: Entomology
  place: 7
- team: 26
  event: Experimental Design
  place: 8
- team: 26
  event: Forensics
  place: 9
- team: 26
  event: Fossils
  place: 10
- team: 26
  event: Geologic Mapping
  place: 7
- team: 26
  event: Helicopter
  place: 7
- team: 26
  event: Materials Science
  place: 7
- team: 26
  event: Microbe Mission
  place: 6
- team: 26
  event: Optics
  place: 5
- team: 26
  event: Robot Tour
  place: 5
- team: 26
  event: Tower
  place: 1
- team: 26
  event: Wind Power
  place: 6
- team: 26
  event: Write It Do It
  place: 7
- team: 28
  event: Air Trajectory
  participated: false
- team: 28
  event: Anatomy and Physiology
  place: 7
- team: 28
  event: Astronomy
  place: 2
- team: 28
  event: Bungee Drop
  place: 4
- team: 28
  event: Chemistry Lab
  participated: false
- team: 28
  event: Codebusters
  place: 8
- team: 28
  event: Disease Detectives
  place: 10
- team: 28
  event: Dynamic Planet
  participated: false
- team: 28
  event: Ecology
  place: 8
- team: 28
  event: Electric Vehicle
  participated: false
- team: 28
  event: Entomology
  place: 4
- team: 28
  event: Experimental Design
  participated: false
- team: 28
  event: Forensics
  place: 8
- team: 28
  event: Fossils
  place: 6
- team: 28
  event: Geologic Mapping
  place: 9
- team: 28
  event: Helicopter
  participated: false
- team: 28
  event: Materials Science
  place: 9
- team: 28
  event: Microbe Mission
  place: 8
- team: 28
  event: Optics
  place: 10
- team: 28
  event: Robot Tour
  participated: false
- team: 28
  event: Tower
  participated: false
- team: 28
  event: Wind Power
  place: 5
- team: 28
  event: Write It Do It
  place: 6
